[Deprecated]: V18.0

delete

/ec-designer-edc-svc/rest/v18.0/studies/{studyId}/versions/{version}/forms/{formId}

Deprecated: Use latest version instead. Deletes a form from the requested study version in v18.0 format. Provide the form ID; the response returns a deletion confirmation message.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Form deleted successfully.
Body ()
Root Schema : FormDto v18.0
Type: object
Title: FormDto v18.0
Form Info
Show Source
Nested Schema : assignedVisits
Type: array
branch cycle information describing the visits on which the forms are displayed
Show Source
Nested Schema : formSubcategory
Type: array
Form subcategory list
Show Source
Nested Schema : items
Type: array
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
Nested Schema : linkFrom
Type: array
linked from forms
Show Source
Nested Schema : FileUploadRequest
Type: object
Logo upload request details.
Show Source
Example:
{
    "name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
    "mode":"design",
    "fileName":"study-logo.png",
    "contentType":"image/png"
}
Nested Schema : showFrom
Type: array
show dynamic parent from forms of same visit
Show Source
Nested Schema : FormCopySourceDto v18.0
Type: object
Title: FormCopySourceDto v18.0
Form Copy Source Information
Show Source
Nested Schema : From Item Advanced Property With Parent v18.0
Type: object
Title: From Item Advanced Property With Parent v18.0
Form Item Advanced Property with Parent Info
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : Form Item Advanced Property Rule v18.0
Type: object
Title: Form Item Advanced Property Rule v18.0
Optional rule metadata for a form item advanced property.
Show Source
  • Display label for the rule value.
    Example: Yes
  • Rule name.
    Example: Answer
  • Rule value. When the value is an ID, it is a UUID, 32-character uppercase hexadecimal string.
    Example: B1B8327AFAA6412287106192AB5984EF
Example:
{
    "name":"Answer",
    "value":"B1B8327AFAA6412287106192AB5984EF",
    "label":"Yes"
}
Nested Schema : FormItemDto v18.0
Type: object
Title: FormItemDto v18.0
Discriminator: questionType

Discriminator Values

Form Item Information
Show Source
Match One Schema
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : dataClassificationIds
Type: array
Show Source
Nested Schema : FormNumberItemDto v18.0
Type: object
Title: FormNumberItemDto v18.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormNumberItemDto v18.0-allOf[1]
Nested Schema : FormChoiceItemDto v18.0
Type: object
Title: FormChoiceItemDto v18.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormChoiceItemDto v18.0-allOf[1]
Nested Schema : FormTextItemDto v18.0
Type: object
Title: FormTextItemDto v18.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormTextItemDto v18.0-allOf[1]
Nested Schema : FormDatetimeItemDto v18.0
Type: object
Title: FormDatetimeItemDto v18.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormDatetimeItemDto v18.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v18.0
Type: object
Title: FormQuestionGroupItemDto v18.0
Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
Nested Schema : FormTableItemDto v18.0
Type: object
Title: FormTableItemDto v18.0
Form table Item Details Information
Match All
Form table Item Details Information
Form table Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormTableItemDto v18.0-allOf[1]
Nested Schema : FormSectionalItemDto v18.0
Type: object
Title: FormSectionalItemDto v18.0
Form Section Item Details Information
Match All
Form Section Item Details Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
Nested Schema : FormLabelItemDto
Type: object
Match All
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItem v18.0
Type: object
Title: FormInstructionalTextItem v18.0
Instructional information about the form or question
Match All
Instructional information about the form or question
Instructional information about the form or question
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormInstructionalTextItem v18.0-allOf[1]
Nested Schema : FormExistingDataItemDtoV18
Type: object
Form existing data item Information
Match All
Form existing data item Information
Form existing data item Information
Show Source
  • FormItemDto v18.0
    Title: FormItemDto v18.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }
    Form Item Information
  • FormExistingDataItemDtoV18-allOf[1]
Nested Schema : Form Item Advanced Property v18.0
Type: object
Title: Form Item Advanced Property v18.0
Advanced property item used to describe an EHR mapping option.
Show Source
  • Advanced property item ID. UUID, 32-character uppercase hexadecimal string.
  • Display label for the EHR mapping item.
    Example: Lab Result
  • Minimum Length: 1
    Maximum Length: 255
    EHR code list or attribute group name.
    Example: EHRLabsAttributes
  • rules
  • Minimum Length: 1
    Maximum Length: 30
    Advanced property type. EHR mapping responses use EHRMapping.
    Example: EHRMapping
  • Minimum Length: 1
    Maximum Length: 2048
    EHR category, item, or option code represented by this mapping item.
    Example: LabResult
Example:
{
    "id":"7A4D3C2B1E8F4D56A23C9F3A0C7D4E22",
    "type":"EHRMapping",
    "name":"EHRLabsAttributes",
    "value":"LabResult",
    "label":"Lab Result"
}
Nested Schema : rules
Type: array
Show Source
Nested Schema : FormNumberItemDto v18.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v18.0-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormOptionDto v18.0
Type: object
Title: FormOptionDto v18.0
Form choice item option details
Show Source
  • Codelist code for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for a one specific choice.
    Example: 1
  • Codelist value for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v18.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v18.0-allOf[1]
Type: object
Show Source
Nested Schema : FormTableItemDto v18.0-allOf[1]
Type: object
Show Source
Nested Schema : FormItemDto v21.0
Type: object
Title: FormItemDto v21.0
Discriminator: questionType

Discriminator Values

Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"text",
    "id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "visitIds":[
        "7B4F1B4C9E874845A67B2A83251F9012"
    ],
    "formTitle":"Demographics",
    "questionLabel":"Subject Initials",
    "questionHint":"Enter the subject initials.",
    "refname":"SUBJ_INIT",
    "required":true,
    "dynamic":0,
    "hidden":false,
    "readOnly":false,
    "sdvRequired":"NEVER",
    "sequence":1,
    "groupSequence":1,
    "sasVariable":"SUBJINIT",
    "sasLabel":"Subject Initials"
}
Nested Schema : FormLabelItemDto-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type: object
Title: FormItemAdvancedPropWithParentDto v21.0
Advanced property associated with a form item and its parent object.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "type":"AssignedVisit",
    "name":"Visit",
    "value":"D3D8327AFAA6412287106192AB5984EF",
    "label":"Screening",
    "parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "parentObjectLabel":"Demographics",
    "parentObjectLevel":"FORM"
}
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type: object
Title: FormItemAdvancedPropRuleDto v21.0
Rule entry for a form item advanced property.
Show Source
Example:
{
    "name":"RolloverQuestionAnswer",
    "value":"YES",
    "label":"Yes"
}
Nested Schema : FormOptionDto v21.0
Type: object
Title: FormOptionDto v21.0
Selectable option returned for a choice form item.
Show Source
  • Codelist code for the choice option when linked to a codelist.
    Example: F
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for the choice option when linked to a codelist.
    Example: Female
  • Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
  • Codelist value for the choice option when linked to a codelist.
    Example: Female
  • Is form item option hidden?
    Example: false
  • Minimum Length: 1
    Maximum Length: 4000
    Display label for the choice option.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Sequence value for ordering the choice option.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Stored answer value for the choice option.
    Example: F
Example:
{
    "label":"Female",
    "value":"F",
    "clCode":"F",
    "clDescription":"Female",
    "clValue":"Female",
    "clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
    "hidden":false,
    "optionSeq":"1"
}
Nested Schema : FormInstructionalTextItem v18.0-allOf[1]
Type: object
Show Source
Nested Schema : FormExistingDataItemDtoV18-allOf[1]
Type: object
Show Source
  • Codelist name for existing data, must be a value from ExistingDataLabels codelist
    Example: EDLSite
  • Codelist value specifying existing data, must be a value from codelist defined in codeName
    Example: SiteName
Nested Schema : FormLinkFromDto v18.0
Type: object
Title: FormLinkFromDto v18.0
Linked From Form Details
Show Source
Nested Schema : items
Type: array
Form items
Show Source
Nested Schema : parentAssignedVisits
Type: array
Parent Assigned Visits
Show Source
Examples

500 Response

Unexpected server error while deleting form.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top